<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>net.yyc.common</groupId>
	<artifactId>yyc-common-parent</artifactId>
	<version>1.0.0-SNAPSHOT</version>
	<name>yyc-common-parent</name>
	<packaging>pom</packaging>

	<organization>
		<name>pig4cloud</name>
		<url>https://www.pig4cloud.com</url>
	</organization>

	<properties>
		<spring-boot.version>2.3.12.RELEASE</spring-boot.version>
		<spring-cloud.version>Hoxton.SR8</spring-cloud.version>
		<spring-cloud-alibaba.version>2.2.1.RELEASE</spring-cloud-alibaba.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.compiler.version>3.8.1</maven.compiler.version>
		<spring.checkstyle.version>0.0.22</spring.checkstyle.version>
		<git.commit.version>2.2.5</git.commit.version>
		<spring-boot-admin.version>2.2.3</spring-boot-admin.version>
		<hutool.version>5.7.7</hutool.version>
		<kaptcha.version>1.2.0</kaptcha.version>
		<velocity.version>1.7</velocity.version>
		<lcn.version>4.1.0</lcn.version>
		<jasypt.version>2.1.1</jasypt.version>
		<ttl.version>2.11.4</ttl.version>
		<aws.version>1.11.543</aws.version>
		<xxl.job.version>2.2.0</xxl.job.version>
		<activiti.version>5.22.0</activiti.version>
		<docker.registry>172.17.0.111</docker.registry>
		<docker.host>http://172.17.0.111:2375</docker.host>
		<docker.namespace>library</docker.namespace>
		<docker.username>admin</docker.username>
		<docker.password>Harbor12345</docker.password>
		<docker.plugin.version>0.32.0</docker.plugin.version>
		<!--  默认忽略docker构建 -->
		<docker.skip>true</docker.skip>
		<!-- 移除 itextpdf 8.x 属性，因为它需要 Java 11+ -->
		<!-- 使用与 Java 1.8 兼容的版本 -->
		<itextpdf5.version>5.5.13.3</itextpdf5.version>
	</properties>

	<modules>
		<module>yyc-common-bom</module>
		<module>yyc-common-core</module>
		<module>yyc-common-datasource</module>
		<module>yyc-common-feign</module>
		<module>yyc-common-gateway</module>
		<module>yyc-common-gray</module>
		<module>yyc-common-job</module>
		<module>yyc-common-oss</module>
		<module>yyc-common-security</module>
		<module>yyc-common-sentinel</module>
		<module>yyc-common-sequence</module>
		<module>yyc-common-ding</module>
		<module>yyc-common-taxhelper</module>
		<module>yyc-common-qcc</module>
		<module>yyc-common-mq</module>
	</modules>

	<dependencies>
		<!--配置文件处理器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-configuration-processor</artifactId>
			<optional>true</optional>
		</dependency>
		<!--jasypt配置文件加解密-->
		<dependency>
			<groupId>com.github.ulisesbocchio</groupId>
			<artifactId>jasypt-spring-boot-starter</artifactId>
			<version>${jasypt.version}</version>
		</dependency>
		<!--监控-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>
		<!--监控客户端-->
		<dependency>
			<groupId>de.codecentric</groupId>
			<artifactId>spring-boot-admin-starter-client</artifactId>
			<version>${spring-boot-admin.version}</version>
		</dependency>
		<!--Lombok-->
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<scope>provided</scope>
		</dependency>
		<!--测试依赖-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<!--文件存储-->
		<dependency>
			<groupId>io.minio</groupId>
			<artifactId>minio</artifactId>
			<version>7.1.0</version>
		</dependency>
	</dependencies>

	<dependencyManagement>
		<dependencies>
			<!--hnqz 公共版本定义-->
			<dependency>
				<groupId>net.yyc.common</groupId>
				<artifactId>yyc-common-bom</artifactId>
				<version>1.0.0-SNAPSHOT</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--spring boot 公共版本定义-->
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-dependencies</artifactId>
				<version>${spring-boot.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--spring cloud 公共版本定义-->
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--spring cloud alibaba-->
			<dependency>
				<groupId>com.alibaba.cloud</groupId>
				<artifactId>spring-cloud-alibaba-dependencies</artifactId>
				<version>${spring-cloud-alibaba.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<!--web 模块-->
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-starter-web</artifactId>
				<version>${spring-boot.version}</version>
				<exclusions>
					<!--排除tomcat依赖-->
					<exclusion>
						<artifactId>spring-boot-starter-tomcat</artifactId>
						<groupId>org.springframework.boot</groupId>
					</exclusion>
				</exclusions>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<build>
		<finalName>${project.name}</finalName>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<pluginManagement>
			<plugins>
				<!--spring boot 默认插件-->
				<plugin>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-maven-plugin</artifactId>
					<version>${spring-boot.version}</version>
					<executions>
						<execution>
							<goals>
								<goal>repackage</goal>
							</goals>
						</execution>
					</executions>
				</plugin>
				<!-- 配置跳过测试 -->
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>2.22.2</version>
					<configuration>
						<skipTests>true</skipTests>
					</configuration>
				</plugin>
				<!--maven  docker 打包插件 -->
				<plugin>
					<groupId>io.fabric8</groupId>
					<artifactId>docker-maven-plugin</artifactId>
					<version>${docker.plugin.version}</version>
					<configuration>
						<dockerHost>${docker.host}</dockerHost>
						<registry>${docker.registry}</registry>
						<authConfig>
							<push>
								<username>${docker.username}</username>
								<password>${docker.password}</password>
							</push>
						</authConfig>
						<images>
							<image>
								<name>${docker.registry}/${docker.namespace}/${project.name}:${project.version}</name>
								<build>
									<dockerFile>${project.basedir}/Dockerfile</dockerFile>
								</build>
							</image>
						</images>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
		<plugins>
			<!--代码格式插件，默认使用spring 规则-->
			<plugin>
				<groupId>io.spring.javaformat</groupId>
				<artifactId>spring-javaformat-maven-plugin</artifactId>
				<version>${spring.checkstyle.version}</version>
			</plugin>
			<!--代码编译指定版本插件-->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>${maven.compiler.version}</version>
				<configuration>
					<target>${maven.compiler.target}</target>
					<source>${maven.compiler.source}</source>
					<encoding>UTF-8</encoding>
					<skip>false</skip>
				</configuration>
			</plugin>
			<plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>3.1.0</version>
            </plugin>
			<!--打包关联最新 git commit 信息插件-->
			<plugin>
				<groupId>pl.project13.maven</groupId>
				<artifactId>git-commit-id-plugin</artifactId>
				<version>${git.commit.version}</version>
			</plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>3.1.0</version>
            </plugin>
		</plugins>
	</build>

	<distributionManagement>
		<repository>
			<id>yaoyi</id>
			<name>yaoyi</name>
			<url>https://artifact.yaoyi.net/repository/maven-releases/</url>
		</repository>
		<snapshotRepository>
			<id>yaoyi</id>
			<name>yaoyi</name>
			<url>https://artifact.yaoyi.net/repository/maven-snapshots/</url>
		</snapshotRepository>
	</distributionManagement>

	<repositories>
		<repository>
			<id>yaoyi</id>
			<name>yaoyi</name>
			<url>https://artifact.yaoyi.net/repository/maven-public/</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</repository>
	</repositories>

	<pluginRepositories>
		<pluginRepository>
			<id>yaoyi</id>
			<name>yaoyi</name>
			<url>https://artifact.yaoyi.net/repository/maven-public/</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>


	<profiles>
		<profile>
			<id>dev</id>
			<properties>
				<profiles.active>dev</profiles.active>
			</properties>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<profile>
			<id>pre</id>
			<properties>
				<profiles.active>pre</profiles.active>
			</properties>
		</profile>

        <profile>
            <id>pre1</id>
			<properties>
				<profiles.active>pre1</profiles.active>
			</properties>
        </profile>

		<profile>
			<id>demo</id>
			<properties>
				<profiles.active>demo</profiles.active>
			</properties>
		</profile>

		<profile>
			<id>prod</id>
			<properties>
				<profiles.active>prod</profiles.active>
			</properties>
		</profile>

		<profile>
			<id>luoxin</id>
			<properties>
				<profiles.active>luoxin</profiles.active>
			</properties>
		</profile>
	</profiles>
</project>
